package com.polarion.platform.repository.external.internal.p4;

import javax.validation.constraints.NotNull;

import com.polarion.platform.repository.external.AbstractExternalRepositoryConfiguration;

public class P4RepositoryConfiguration extends
		AbstractExternalRepositoryConfiguration {

	private static final String ID = "p4";

	@NotNull
	private String p4Port;
	@NotNull
	private String p4User;
	private String p4Ticket;
	private String p4Password;
	private String p4Client;
	private String BrowserBaseURL;

	public String getP4Port() {
		return p4Port;
	}

	public void setP4Port(String p4Port) {
		this.p4Port = p4Port;
	}

	public String getP4User() {
		return p4User;
	}

	public void setP4User(String p4User) {
		this.p4User = p4User;
	}

	public String getP4Ticket() {
		return p4Ticket;
	}

	public void setP4Ticket(String p4Ticket) {
		this.p4Ticket = p4Ticket;
	}

	public String getP4Password() {
		return p4Password;
	}

	public void setP4Password(String p4Password) {
		this.p4Password = p4Password;
	}

	public String getP4Client() {
		return p4Client;
	}

	public void setP4Client(String p4Client) {
		this.p4Client = p4Client;
	}

	public String getBrowserBaseURL() {
		return BrowserBaseURL;
	}

	public void setBrowserBaseURL(String browserBaseURL) {
		BrowserBaseURL = browserBaseURL;
	}

	@Override
	public String getProviderId() {
		return ID;
	}
}
